lifesteal_heal:
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/heal.sc2"
      condition: on_ally_strike
      target: attacked
      plays_on_tank: true
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/heal.sc2"
      condition: on_enemy_strike 
      target: ability_owner
      plays_on_tank: true
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/vampirism.sc2"
      condition: on_enemy_strike
      target: attacked
      plays_on_tank: true
moonwalk:
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/moonwalk.sc2"
      condition: on_ability_cast
      target: ability_owner
      plays_on_tank: false
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/moonwalk_out.sc2"
      condition: on_ability_ended
      target: ability_owner
      plays_on_tank: false
shield:
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/shield.sc2"
      condition: on_ability_cast
      target: ability_owner
      plays_on_tank: true      
hunters_mark:
    - type: persistent
      path: "~res:/3d/FX/halloween_skills/DarkSkill.sc2"
      condition: on_ability_cast
      target: ability_target
      plays_on_tank: true
sacrifice:
    - type: one_time
      path: "~res:/3d/FX/halloween_skills/berserk.sc2"
      condition: on_ability_cast
      target: ability_owner
      plays_on_tank: true
